| ghc-6.10.4: The GHC API | Contents | Index

RegAllocInfo

Documentation
data RegUsage

Constructors

RU [Reg] [Reg] |

noUsage :: RegUsage
regUsage :: Instr -> RegUsage
patchRegs :: Instr -> (Reg -> Reg) -> Instr
jumpDests :: Instr -> [BlockId] -> [BlockId]
patchJump :: Instr -> BlockId -> BlockId -> Instr
isRegRegMove :: Instr -> Maybe (Reg, Reg)
data JumpDest
canShortcut :: Instr -> Maybe JumpDest
shortcutJump :: (BlockId -> Maybe JumpDest) -> Instr -> Instr
shortcutStatic :: (BlockId -> Maybe JumpDest) -> CmmStatic -> CmmStatic
maxSpillSlots :: Int
mkSpillInstr :: Reg -> Int -> Int -> Instr
mkLoadInstr :: Reg -> Int -> Int -> Instr
mkRegRegMoveInstr :: Reg -> Reg -> Instr
mkBranchInstr :: BlockId -> [Instr]
Produced by Haddock version 2.4.2